Table of Contents

## Name

AuGetElementParameters - get the parameters of elements in a flow

## Syntax

#include <audio/audiolib.h>

AuBool AuGetElementParameters(server, num_parameters, parameters, status)
AuServer *server;
int num_parameters;
AuElementParameters *parameters; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
num_parameters
  Specifies the number of element parameters to return.
states
  Specifies a list of AuElementParameters structures which indicate the flow and element number of the elements to return the parameters from.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

Not implemented.

## Errors

AuBadFlow, AuBadLenght, AuBadAlloc, AuBadElement.

## See Also

AuSetElementParameters.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Errors
- See Also